Subject: Re: cattail roots

From: [email-masked] (Gmericks)
Date: 18 May 1995 21:57:50 -0400

I don't know about cattail roots but the cattail flowers, the top part,
not the bottom part that turns into the brown fuzzy thing, can be eaten
and it is fantastic.  Collect the top part with a sissors and a basket. 
In Minnesota the plants flower in mid-June, but anywhere south I suspect
it's much earlier.  I just go by the swamps every week or so.

I would suspect you could collect the roots at the same time.